Subject: Re: scp stalls mysteriously

From: Frederic Leroy <[email-masked]>
Date: Thu, 3 Dec 2009 22:37:28 +0100

Le Thu, 3 Dec 2009 22:36:53 +0200 (EET),
"Ilpo Järvinen" <[email-masked]> a écrit :
> however, annoying thing is that now we didn't get get the zero events
> logged :-). Can you please print them also in that branch. Also, I
> forgot previously that tp->frto_counter would be nice to know. And
> since there seems to be a need for yet another case, in order to
> solve the other problem related to fast retransmit, also tp->lost_out
> and tp->sacked_out would be nice to know.

.12 is online, including patch

I added the fields and moved the printk at the beginning of
retransmits_timed_out as sk is not modified in the function.

I'm preparing one test without the "|| !tp->retrans_stamp"

-- 
Frédéric Leroy